Trigger interface analytics events - Fluid Topics - Latest

Fluid Topics API Reference Guide

Category
Reference Guides
Audience
public
Version
Latest

This web service allows users to extend Fluid Topics analytics beyond native tracking capacities. For example by gathering analytics data about the following:

Method Endpoint
POST
/api/analytics/events

Request example

The code block below is a ready to push example for an analytics custom event:

[
  {
    "offline": false,
    "appName": "ft-integration",
    "appVersion": "1.0",
    "name": "custom_event.trigger",
    "eventName": "MyCustomEventName",
    "componentId": "button-contact1",
    "page": {
      "id": "ft/home",
      "type": "homePage",
      "url": "/",
      "name": "home",
      "language": "en-US"
    }
  }
]
Field Type Required? Description
offline Boolean Yes Indicates whether the event was triggered while being offline (true or false).
appName String Yes The name of the application triggering the event.
appVersion String Yes The version of the application triggering the event.
name String Yes The name of the analytics event.
eventName String Yes Information about the custom name of the event. The string format accepts alphanumeric characters and the following special characters: _, -, and /. The maximum length of eventName is 100 characters.
componentId String Yes This optional field contains information about the component which triggered the event. The string format accepts alphanumeric characters and the following special character: -. The maximum length of componentId is 100 characters.
parameters String No This optional field contains additional information on the event. It is a key / value map both in string format. The string format for keys accepts alphanumeric characters and the following special characters: _ and -. The maximum length for keys is 100 characters. The string format for values accepts alphanumeric characters and the following special characters: -, _, /, and #. Spaces are also supported. The number of accepted parameters is 20.
page Object Yes An object containing information about the displayed page.
id String Yes The page's identifier.
type String Yes The page's type. The type can be designedHomePage, designedPage, designedReaderPage, designedSearchPage, homePage, readerPage, searchPage, viewerPage.
url String Yes The URL path used to access the page (including query parameters).
name String Yes The page's name.
language String Yes The language defined for the page if it is a designed page.

Each event has its own set of parameters. See the web application events section for more information.